View Issue Details

IDProjectCategoryView StatusLast Update
0000113Freifunk Franken Firmware[All Projects] Generalpublic2019-10-02 12:49
ReporterChristianD Assigned ToAdrian Schmutzler  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Versionnext-stable 
Summary0000113: /etc/sysupgrade.sh -eq Vergleich obwohl Firmware nicht immer int ist
Descriptionhttps://github.com/FreifunkFranken/firmware/blob/master/src/packages/fff/fff-sysupgrade/files/etc/sysupgrade.sh
Zeile 45:

if [ "$VERSION" -eq "$FIRMWARE_VERSION" ]; then

da eine vorherige Firmwareversion z.b. auch 20180802-beta sein kann (und somit kein Integer), scheitert dies mit:
sh: 20180802-beta: bad number

Das Upgrade wird danach aber dennoch richtig durchgeführt
TagsNo tags attached.

Activities

Adrian Schmutzler

2018-09-14 18:33

manager   ~0000305

Machen wir halt [ "$VERSION" = "$FIRMWARE_VERSION" ]

Adrian Schmutzler

2018-11-07 21:07

manager   ~0000308

Last edited: 2018-11-07 21:07

View 2 revisions

Fixed: https://github.com/FreifunkFranken/firmware/commit/3856fff4bec24a2d926e4aee32c17af642bad5cc

Issue History

Date Modified Username Field Change
2018-09-14 18:27 ChristianD New Issue
2018-09-14 18:33 Adrian Schmutzler Note Added: 0000305
2018-11-07 21:05 Adrian Schmutzler Sticky Issue No => Yes
2018-11-07 21:06 Adrian Schmutzler Sticky Issue Yes => No
2018-11-07 21:07 Adrian Schmutzler Assigned To => Adrian Schmutzler
2018-11-07 21:07 Adrian Schmutzler Status new => resolved
2018-11-07 21:07 Adrian Schmutzler Resolution open => fixed
2018-11-07 21:07 Adrian Schmutzler Fixed in Version => next-stable
2018-11-07 21:07 Adrian Schmutzler Note Added: 0000308
2018-11-07 21:07 Adrian Schmutzler Note Edited: 0000308 View Revisions
2019-10-02 12:48 fbl Category Freifunk Franken Firmware => General
2019-10-02 12:48 fbl Category General => General2
2019-10-02 12:49 fbl Category General2 => General